/**
 * If the Moster has Monster.MAXATTACKS throws this.
 * 
 * @see Monster
 * @author Matt, Sam
 * @version 1.1.1
 */
public class AttacksFullException extends Exception 
{
	/**
	 * The offending Attack
	 */
	Attack a;
	/**
	 * Construct a new this.
	 * 
	 * @param s the String used in toString
	 * @param a the offending Attack
	 */
	public AttacksFullException(String s, Attack a) 
	{
		super(s);
		this.a = a;
	}
	/**
	 * Gets the offending Attack.
	 * 
	 * @return The offending Attack
	 */
	public Attack getAttack() { return a; }
}