import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.util.*;

/**
 * The Interface for BattleEvent.
 * 
 * @see BattleEvent
 * @see Grid
 * @see Battle
 * @author Matt, Sma
 * @version 5.4.6
 */
public interface BattleListener 
{
	/**
	 * The method to override.
	 * 
	 * @param e the BattleEvent.
	 * @see BattleEvent
	 */
	void battleBegin( BattleEvent e );
}
