/**
 * Defines an Exception if the Location specified is
 * not a valid Location on the Grid
 * 
 * @see Grid
 * @see Location
 * @see MapObject
 * @author Matt, Sam
 * @version 1234
 */
public class InvalidLocationException extends Exception 
{
	/**
	 * Simple constructor for EmptyLocationException
	 * 
	 * @param s the String to pass along
	 */
	public InvalidLocationException(String s) 
	{
		super(s);
	}
}