import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.awt.geom.*;
import java.util.*;

/**
 * Simple event to let Game know there was a loss.
 * 
 * @see Game
 * @see Battle
 * @version 1.23
 * @author Matt, Sam
 */
public class GameOverEvent extends AWTEvent 
{
	/**
	 * The UID
	*/
	public static final int GAME_OVER = RESERVED_ID_MAX + 11;	// Make sure no conflicts with normal AWT components

	/**
	 * Simple Constructor
	 * 
	 * @param source the Battle
	 * @param id the ID
	 * @see Battle
	 */
	GameOverEvent(Battle source, int id)
	{
		super( source, id );
	}
}