/**
 * Defines an Exception if the mml/pml file is improperly formatted.
 * 
 * @see Grid
 * @see MapLoader
 * @see PlayerLoader
 * @see PlayerSaver
 * @author Matt, Sam
 * @version 1234
 */
public class InvalidFileFormatException extends Exception 
{
	/**
	 * Simple constructor for InvalidFileFormatException
	 * 
	 * @param s the String to pass along
	 */
	public InvalidFileFormatException(String s) 
	{
		super(s);
	}
}