/**
 * Defines an Exception if the Location specified is
 * filled by an MapObject, ie not the Default MapObject.
 * 
 * @see Grid
 * @see Location
 * @see MapObject
 * @author Matt, Sam
 * @version 1234
 */
public class NonEmptyException extends RuntimeException 
{
	/**
	 * Simple constructor for NonEmptyException
	 * 
	 * @param s the String to pass along
	 */
	public NonEmptyException(String s) 
	{
		super(s);
	}
}